/***************************************************************************
 *   Copyright (C) 2004-2005 by Andrew Krause                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "findtoolbar.h"

FindToolbar::FindToolbar()
{
  // Create Horizontal Find 'Toolbar'
  hbox = gtk_hbox_new(false, 0);
  label_find = gtk_label_new("Search: ");
  label_error = gtk_label_new("Text not found!");
  find_text = gtk_entry_new();
  image_close = gtk_image_new_from_stock("gtk-stop", GTK_ICON_SIZE_MENU);
  image_error = gtk_image_new_from_stock("gtk-dialog-error", GTK_ICON_SIZE_MENU);
  button_find = gtk_button_new_from_stock("gtk-find");
  button_replace = gtk_button_new_from_stock("gtk-find-and-replace");
  button_close = gtk_button_new();
  search_files = gtk_check_button_new_with_label("Search in all files");
  
  // Create the buttons
  gtk_button_set_relief(GTK_BUTTON(button_close), GTK_RELIEF_NONE);
  gtk_container_add(GTK_CONTAINER(button_close), image_close);
  gtk_button_set_relief(GTK_BUTTON(button_find), GTK_RELIEF_NONE);
  gtk_button_set_relief(GTK_BUTTON(button_replace), GTK_RELIEF_NONE);
  gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(search_files), false);
  
  // Add the widgets to the horizontal box
  gtk_box_set_spacing(GTK_BOX(hbox), 5);
  gtk_container_set_border_width(GTK_CONTAINER(hbox), 3);
  gtk_box_pack_start(GTK_BOX(hbox), button_close, false, false, 0);
  gtk_box_pack_start(GTK_BOX(hbox), label_find, false, false, 0);
  gtk_box_pack_start(GTK_BOX(hbox), find_text, false, false, 0);
  gtk_box_pack_start(GTK_BOX(hbox), button_find, false, false, 5);
  gtk_box_pack_start(GTK_BOX(hbox), button_replace, false, false, 0);
  gtk_box_pack_start(GTK_BOX(hbox), search_files, false, false, 5);
  gtk_box_pack_start(GTK_BOX(hbox), image_error, false, false, 0);
  gtk_box_pack_start(GTK_BOX(hbox), label_error, false, false, 0);
}
  
void FindToolbar::show_error (bool show)
{
  if (show)
  {
    gtk_widget_show(label_error);
    gtk_widget_show(image_error);
  }
  else
  {
    gtk_widget_hide(label_error);
    gtk_widget_hide(image_error);
  }
}

bool FindToolbar::search_files_is_active()
{ return gtk_toggle_button_get_active(GTK_TOGGLE_BUTTON(search_files));
}

GtkWidget* FindToolbar::get_close()
{ return button_close;
}

GtkWidget* FindToolbar::get_find()
{ return button_find;
}

GtkWidget* FindToolbar::get_replace()
{ return button_replace;
}

GtkWidget* FindToolbar::get_text()
{ return find_text;
}

GtkWidget* FindToolbar::get_hbox()
{ return hbox;
}
